Bug 1408 - installclientlib does not honor --with-libdir
installclientlib does not honor --with-libdir
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.4
Sparc Solaris
: P3 minor
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-29 13:15 UTC by David Wood
Modified: 2005-11-14 09:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Wood 2004-05-29 13:15:11 UTC
Fix (diff taken against HEAD):

beta3.nyc:/tmp/samba/source > cvs diff -u Makefile.in
Index: Makefile.in
===================================================================
RCS file: /cvsroot/samba/source/Makefile.in,v
retrieving revision 1.764
diff -u -r1.764 Makefile.in
--- a/Makefile.in       1 Apr 2004 12:33:04 -0000       1.764
+++ b/Makefile.in       31 May 2004 21:26:15 -0000
@@ -1291,9 +1291,9 @@
        @$(SHELL) $(srcdir)/script/installswat.sh $(DESTDIR)$(SWATDIR) 
$(srcdir)

 installclientlib: installdirs libsmbclient
-       @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)${prefix}/lib
-       -$(INSTALLCLIENTCMD_SH) bin/libsmbclient.@SHLIBEXT@ $(DESTDIR)
${prefix}/lib
-       -$(INSTALLCLIENTCMD_A) bin/libsmbclient.a $(DESTDIR)${prefix}/lib
+       @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)$(LIBDIR)
+       -$(INSTALLCLIENTCMD_SH) bin/libsmbclient.@SHLIBEXT@ $(DESTDIR)$(LIBDIR)
+       -$(INSTALLCLIENTCMD_A) bin/libsmbclient.a $(DESTDIR)$(LIBDIR)
        @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)${prefix}/include
        -$(INSTALLCMD) $(srcdir)/include/libsmbclient.h $(DESTDIR)
${prefix}/include
Comment 1 Tim Potter 2004-07-22 23:42:40 UTC
This has been fixed in r1319.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:16:13 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.